org.apache.cassandra.utils.memory

## Class HeapPool

- java.lang.Object
- - org.apache.cassandra.utils.memory.MemtablePool
  - - org.apache.cassandra.utils.memory.HeapPool

-     public class HeapPool
      extends MemtablePool

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `HeapPool.Allocator`

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.utils.memory.MemtablePool

      `MemtablePool.SubPool`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.utils.memory.MemtablePool

      `offHeap, onHeap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HeapPool(long maxOnHeapMemory, float cleanupThreshold, java.lang.Runnable cleaner)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `needToCopyOnHeap()`
    `MemtableAllocator` | `newAllocator()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HeapPool

          public HeapPool(long maxOnHeapMemory,
                          float cleanupThreshold,
                          java.lang.Runnable cleaner)

  - ### Method Detail

    - #### needToCopyOnHeap

          public boolean needToCopyOnHeap()

      Specified by:
        `needToCopyOnHeap` in class `MemtablePool`

    - #### newAllocator

          public MemtableAllocator newAllocator()

      Specified by:
        `newAllocator` in class `MemtablePool`

Copyright © 2018 The Apache Software Foundation